# Class SubsetSelectionPlotData

java.lang.Object
uk.ac.starlink.ttools.plot.WrapperPlotData
uk.ac.starlink.ttools.plot.SubsetSelectionPlotData

All Implemented Interfaces:
  `PlotData`

public class SubsetSelectionPlotData extends WrapperPlotData
PlotData wrapper implementation which rearranges subset indexes.

Since:
  9 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SubsetSelectionPlotData(PlotData base, int[] isets)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`PointSequence`
`getPointSequence()`
Returns an iterator over the data points in this object.
`int`
`getSetCount()`
Returns the number of subsets in this object.
`String`
`getSetName(int iset)`
Returns the name for a given subset.
`Style`
`getSetStyle(int iset)`
Returns the plotting style for a given subset.

### Methods inherited from class WrapperPlotData

`getNdim, getNerror, hasLabels`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubsetSelectionPlotData

public SubsetSelectionPlotData(PlotData base, int[] isets)
Constructor. The `i`th subset in this object will be the same as the `isets[i]`th one from `base`.

Parameters:
  `base` - plot data on which this is based
  `isets` - list of the indices of subsets from `base` which are to appear in this object

## Method Details

### getSetCount

public int getSetCount()
Description copied from interface: `PlotData`
Returns the number of subsets in this object.

Specified by:
  `getSetCount` in interface `PlotData`
Overrides:
  `getSetCount` in class `WrapperPlotData`
Returns:
  subset count

### getSetName

public String getSetName(int iset)
Description copied from interface: `PlotData`
Returns the name for a given subset.

Specified by:
  `getSetName` in interface `PlotData`
Overrides:
  `getSetName` in class `WrapperPlotData`
Parameters:
  `iset` - subset index
Returns:
  subset name

### getSetStyle

public Style getSetStyle(int iset)
Description copied from interface: `PlotData`
Returns the plotting style for a given subset.

Specified by:
  `getSetStyle` in interface `PlotData`
Overrides:
  `getSetStyle` in class `WrapperPlotData`
Parameters:
  `iset` - subset index
Returns:
  subset style

### getPointSequence

public PointSequence getPointSequence()
Description copied from interface: `PlotData`
Returns an iterator over the data points in this object.

Specified by:
  `getPointSequence` in interface `PlotData`
Overrides:
  `getPointSequence` in class `WrapperPlotData`
Returns:
  new point iterator